Skip to main content

Get Email ID Resource by ID

API Description

Get information about a specific email resource, including resource state. Supply the unique Apple-generated ID assigned to the partner’s description of an email resource, and the service will return the corresponding resource.

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
emailId
REQUIRED
Path Template
GET {url}/api/{version}/orgs/{orgId}/brands/{brandId}/email-ids/{emailId}
Path Example
GET {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/email-ids/9467895078742654966

Request Headers

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body

None

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
etag
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 90e37155-2e8a-4584-b72f-e07d54e45c92
content-type: application/json
etag: "8d0a76ac-0be9-11ef-9262-0242ac120002"

Response Body

Refer to create operation's response body for property descriptions.

Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654966",
"createdDate": "2026-05-11T18:34:00Z",
"updatedDate": "2026-05-11T18:34:00Z",
"state": "PUBLISHED",
"etag": "8d0a76ac-0be9-11ef-9262-0242ac120002",
"emailIdDetails": {
"address": "user@business.com"
}
}